Summary:        Useful snippets of python code
Name:           python-kitchen
Version:        1.2.6
Release:        4%{?dist}
License:        LGPLv2+
URL:            https://pypi.python.org/pypi/kitchen/
Source0:        https://github.com/fedora-infra/kitchen/archive/%{version}.tar.gz

Patch3000:      kitchen-1.2.6-sphinx-ext-imgmath.patch

BuildRequires:  python3-devel python3-setuptools python3-chardet python3-sphinx
BuildRequires:  python3-test python3-nose python3-pytest

BuildArch:      noarch

%description
The Kitchen module provides a python API for all sorts of little useful
snippets of code that everybody ends up writing for their projects but
never seem big enough to build an independent release. Use kitchen and
stop cutting and pasting that code over and over.

%package -n python3-kitchen
Summary:    Useful snippets of python code
Requires:   python3 python3-chardet

%description -n python3-kitchen
kitchen includes functions to make gettext easier to use, handling unicode
text easier (conversion with bytes, outputting xml, and calculating how many
columns a string takes).

This is the python3 version of the kitchen module.

%package -n python3-kitchen-doc
Summary:    API documentation for the Kitchen python3 module

%description -n python3-kitchen-doc
kitchen includes functions to make gettext easier to use, handling unicode
text easier (conversion with bytes, outputting xml, and calculating how many
columns a string takes).

This package contains the API documenation for programming with the
python-3 version of the kitchen library.

%prep
%autosetup -p1 -n kitchen-%{version}
rm -rf *.egg*

%build
%py3_build
sphinx-build kitchen3/docs/ build/sphinx/html
cp -pr build/sphinx/html .
rm -rf html/.buildinfo

%install
%py3_install

%check
pushd kitchen3
%pytest -k 'not (test_internal_generate_combining_table or test_easy_gettext_setup_non_unicode or test_invalid_fallback_no_raise or test_lgettext or test_lngettext)'
popd



%files -n python3-kitchen
%license COPYING COPYING.LESSER
%doc README.rst NEWS.rst
%{python3_sitelib}/kitchen*

%files -n python3-kitchen-doc
%license COPYING COPYING.LESSER
%doc kitchen3/docs/* html

%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.2.6-4
- Rebuilt for loongarch release

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.2.6-3
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.2.6-2
- Rebuilt for OpenCloudOS Stream 23.09

* Fri May 05 2023 Miaojun Dong <zoedong@tencent.com> - 1.2.6-1
- initial build
